<template>
  <v-container
    fluid
  >
    <productsInformation
      :example="example2"
      cannotchange="0"
    />
    <back-and-approve @approve="clickApprove" />
    <v-alert
      v-show="showAlert"
      dense
      type="success"
    >
      Published succesfully
    </v-alert>

    <v-alert
      v-show="showError"
      dense
      type="error"
    >
      Some information is not right! Please check again
    </v-alert>
  </v-container>
</template>

<script>
  import { publishProduct } from '@/request/api.js'
  import BackAndApprove from '../../components/BackAndApprove.vue'
  import productsInformation from '../productsInformation.vue'
  export default {
    name: 'FinancialSendProductDetailView',
    components: {
      productsInformation,
      BackAndApprove,
    },
    data: function () {
      return {
        productId: '', // 路由传递过来的参数
        example: {
          borrowerName: '',
          lenderName: '',
          productId: '',
          amount: '',
          bankCard: '',
        },
        example2: {

          // productProvider: localStorage.getItem('UserName'),
          productCode: '',
          productName: '',
          productCurrency: '人民币',
          productAsset: '',
          productNetValue: '',
          productFundManager: '',
          // productCreateTime: '',
        },
        showError: 0,
        showAlert: 0,
      }
    },
    mounted: function () {
      const date = new Date()
      // this.example2.productCreateTime = date.toDateString()
    },
    methods: {
      clickApprove: function (e) {
        const params = { userName: localStorage.getItem('UserName'), ...this.example2 }
        console.log(params)
        publishProduct(params).then(resolve => {
          console.log(resolve)
          const status = resolve.status
          if (status === '404') {
            this.showError = 1
            setTimeout(() => {
              this.showError = 0
              this.step--
            }, 2000)
            return
          }
          this.showAlert = 1
          setTimeout(() => {
            this.showAlert = 0
            this.step--
          }, 2000)
        }).catch(error => {
          console.log(error)
          this.showError = 1
          setTimeout(() => {
            this.showError = 0
            this.step--
          }, 2000)
        })

        // setTimeout(() => {
        //   console.log('you have been succesfully')
        //   // this.$router.go(-1)
        // }, 2000)
      },
    },
  }
</script>
